# The Docker image that will be used to build your app
image: node:16
# Functions that should be executed before the build script is run
#   - npm install
pages:
  script:
    - npm install
    - npm run build
  artifacts:
    paths:
      # The folder that contains the files to be exposed at the Page URL
      - public
  rules:
    # This ensures that only pushes to the default branch will trigger
    # a pages deploy
    - if: $CI_COMMIT_REF_NAME == $CI_DEFAULT_BRANCH

deploy_job:
  stage: deploy
  tags:
    - envprodgrp
  only:
    - main
  script:
     - export
     #- whoami
     #- ls -lA /home/devops/smm-landings/$CI_PROJECT_TITLE
     - rm -r -f /home/devops/smm-landings/$CI_PROJECT_TITLE
     - mkdir /home/devops/smm-landings/$CI_PROJECT_TITLE
     - cp -a -f ./public/. /home/devops/smm-landings/$CI_PROJECT_TITLE
     #- ls -lA /home/devops/smm-landings/$CI_PROJECT_TITLE
  when: manual
